Bug 2708 - smbd with full_audit.so enabled share crashes on connect
smbd with full_audit.so enabled share crashes on connect
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.14a
x86 Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-13 01:01 UTC by Marc Schiffbauer
Modified: 2005-08-24 10:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Schiffbauer 2005-05-13 01:01:10 UTC
Hi,

smb.conf of the share:

[htdocs]
        comment = Document Root (Homepage %U)
        path = /path/to/www/%L/htdocs/
        browseable = yes
        read only = no
        strict allocate = yes

        create mask = 0700
        directory mask = 0700
        directory security mask = 0700

        vfs objects = full_audit
        full_audit:prefix = |%u|%G|%m|%I|%D|%L|%S
        full_audit:success = sys_acl_set_file sys_acl_set_fd
        full_audit:failure = sys_acl_set_file


now if I try to connect using smbclient like 
  smbclient //www-fr/htdocs -U schiffbauerfr -W fr

It says at the last line:
tree connect failed: Call returned zero bytes (EOF)

the log says:

[[successful login]]

[2005/05/13 09:56:55, 3] smbd/vfs.c:vfs_init_default(206)
  Initialising default vfs hooks
[2005/05/13 09:56:55, 3] smbd/vfs.c:vfs_init_custom(232)
  Initialising custom vfs hooks from [full_audit]
[2005/05/13 09:56:55, 2] lib/module.c:do_smb_load_module(66)
  Module '/usr/lib/samba/vfs/full_audit.so' loaded
[2005/05/13 09:56:55, 3] lib/util_seaccess.c:se_access_check(251)
[2005/05/13 09:56:55, 3] lib/util_seaccess.c:se_access_check(252)
  se_access_check: user sid is S-1-5-21-2293270395-831903670-892339320-1421
  se_access_check: also S-1-5-21-2293270395-831903670-892339320-513
  se_access_check: also S-1-1-0
  se_access_check: also S-1-5-2
  se_access_check: also S-1-5-11
  se_access_check: also S-1-5-21-2293270395-831903670-892339320-1112
[2005/05/13 09:56:55, 3] lib/util_seaccess.c:se_access_check(251)
[2005/05/13 09:56:55, 3] lib/util_seaccess.c:se_access_check(252)
  se_access_check: user sid is S-1-5-21-2293270395-831903670-892339320-1421
  se_access_check: also S-1-5-21-2293270395-831903670-892339320-513
  se_access_check: also S-1-1-0
  se_access_check: also S-1-5-2
  se_access_check: also S-1-5-11
  se_access_check: also S-1-5-21-2293270395-831903670-892339320-1112
[2005/05/13 09:56:55, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (40050, 40003) - sec_ctx_stack_ndx = 0
[2005/05/13 09:56:55, 1] smbd/service.c:make_connection_snum(642)
  frlpww01 (193.197.136.193) connect to service htdocs initially as user
schiffbauerfr (uid=40050, gid=40003) (pid 11969)
[2005/05/13 09:56:55, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2005/05/13 09:56:55, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 11969 (3.0.14a-0.1-SUSE)
  Please read the appendix Bugs of the Samba HOWTO collection
[2005/05/13 09:56:55, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2005/05/13 09:56:55, 0] lib/util.c:smb_panic2(1495)
  PANIC: internal error
[2005/05/13 09:56:55, 0] lib/util.c:smb_panic2(1503)
  BACKTRACE: 18 stack frames:
   #0 /usr/sbin/smbd(smb_panic2+0x1ed) [0x8200a88]
   #1 /usr/sbin/smbd(smb_panic+0x25) [0x8200895]
   #2 /usr/sbin/smbd [0x81ebbc7]
   #3 /usr/sbin/smbd [0x81ebc3d]
   #4 [0xffffe420]
   #5 /usr/sbin/smbd(strequal+0x47) [0x81f6ac0]
   #6 /usr/lib/samba/vfs/full_audit.so [0x4057b30f]
   #7 /usr/lib/samba/vfs/full_audit.so [0x4057b5cd]
   #8 /usr/sbin/smbd [0x80e239b]
   #9 /usr/sbin/smbd(make_connection+0x765) [0x80e2cc3]
   #10 /usr/sbin/smbd(reply_tcon_and_X+0x2d7) [0x80a5ca5]
   #11 /usr/sbin/smbd [0x80dee80]
   #12 /usr/sbin/smbd [0x80def45]
   #13 /usr/sbin/smbd(process_smb+0x22d) [0x80df314]
   #14 /usr/sbin/smbd(smbd_process+0x199) [0x80e0050]
   #15 /usr/sbin/smbd(main+0x883) [0x8283815]
   #16 /lib/tls/libc.so.6(__libc_start_main+0xe0) [0x402ad260]
   #17 /usr/sbin/smbd [0x807a361]
Comment 1 Marc Schiffbauer 2005-05-13 02:57:34 UTC
I found out that this bug had been fixed in Samba 3.0.9 by SuSE people. Maybe
But now it is there again... :-/

Some info I could gather about it:

Bug XXXXX - samba-3.0.9-2.1.5 with "vfs objects = full_audit": PANIC/ internal
error in smbd

"(...)
Additional Comment   #7 From XXXXXXXXXXXX 2005-01-14 20:26 MST [reply]
Wrong order of evaluation in the bitmap code.  This is an old Samba bug.
Fixed in the Samba 3.0 svn with revision 4120.
(...)"

-Marc
Comment 2 Marcel de Riedmatten 2005-06-19 16:46:53 UTC
For what i am concerned this is now fixed  in svn  with r6777 
( http://websvn.samba.org/cgi-bin/viewcvs.cgi?rev=6777&view=rev ) as of 
2005-05-13 but still  present in 3.0.15pre2

Comment 3 Marc Schiffbauer 2005-06-19 23:43:14 UTC
(In reply to comment #2)
> For what i am concerned this is now fixed  in svn  with r6777 
> ( http://websvn.samba.org/cgi-bin/viewcvs.cgi?rev=6777&view=rev ) as of 
> 2005-05-13 but still  present in 3.0.15pre2
> 
> 

Yes, this bug indeed has been fixed, please make it go into 3.0.15 ;)

-Marc
Comment 4 Jeremy Allison 2005-06-20 08:01:50 UTC
Has been fixed for next release.
Jermey.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:26:15 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.